Post
/v1/diagnostic/packetcapture-start
Start packet capture
Security
API Key: jwtAuth
Header parameter nameauthorization
Use Bearer <token>
Header parameters
Authorization
stringRequired
Bearer token. Format: Bearer <your_token_here>
Body parameters
object
deviceId
integer (int64) Required
Unique identifier for a specific device (required)
Example30000000555
duration
integer (int32) Required
Packet capture duration. Accepted values are 30, 60, 180 (required)
Minimum0
Example30
filter
object (diagnosticToolsPCapFilter)
destination
object (diagnosticToolsPrefixPort)
port
integer (int32)
Filters the capture for the specified port
Minimum0
Example80
prefix
string
Filters the capture for the specified prefix
Example1.1.1.0/24
dscp
integer (int32)
Filters the packet capture for the specified DSCP field
Minimum0
Example80
protocol
string
Filters the packet capture for the specified protocol
ExampleTcp
source
object (diagnosticToolsPrefixPort)
port
integer (int32)
Filters the capture for the specified port
Minimum0
Example80
prefix
string
Filters the capture for the specified prefix
Example1.1.1.0/24
maxPacketCounter
integer (int32)
Packet capture limit.
Minimum0
Example300
target
object (diagnosticToolsTargetType) Required
interface
string
Source Interface name
Exampleethernet1/0
vrfName
string
Configured VRF Name
Exampleisp-red
Responses
201
Created
object
pcapId
integer (int64)
Unique identifier for a specific packet capture
Example1000000